Bug 6543 - Column hiding on batch item edit/delete not working
Summary: Column hiding on batch item edit/delete not working
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-06-29 16:58 UTC by Liz Rea
Modified: 2012-10-25 23:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (3.50 KB, patch)
2011-07-01 17:49 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2011-06-29 16:58:04 UTC
Ticking or unticking the column hiding tickboxes on batch edit/delete causes the wrong columns to be hidden.

To test, duplicate this:

http://screencast.com/t/dZuvcP7D
Comment 1 Owen Leonard 2011-07-01 17:49:40 UTC
Created attachment 4546 [details] [review]
Proposed fix

Minor T:T variable error.
Comment 2 Nicole C. Engard 2011-07-01 17:56:45 UTC
This patch works, but the title isn't showing anymore - before the patch the title would show if you checked a box off ... now the title isn't there at all.  Marking failed QA because we need the title to show as one of the columns so we know what we're editing.
Comment 3 Nicole C. Engard 2011-07-01 18:13:28 UTC
It was a cookie issue.
Comment 4 Chris Cormack 2011-07-03 03:54:51 UTC
Simple fix for T::T, pushed please test
Comment 5 Liz Rea 2011-07-06 16:12:32 UTC
Tested, works.

Awesome. Thanks!